Recent Posts

Pages: 1 ... 8 9 [10]
91
AutoLISP (Vanilla / Visual) / Re: More dimscale please
« Last post by Lee Mac on January 07, 2020, 08:13:31 AM »
What is line 12?

("Continuous")

Looks like a function call.  No parentheses required.

Note that it's not a function call, but rather a cond condition, returning a literal string.
92
AutoLISP (Vanilla / Visual) / Re: More dimscale please
« Last post by snownut2 on January 07, 2020, 07:41:10 AM »
What is line 12?

("Continuous")

Looks like a function call.  No parentheses required.
93
AutoLISP (Vanilla / Visual) / Re: More dimscale please
« Last post by Dlanor on January 07, 2020, 06:25:46 AM »
Code - Auto/Visual Lisp: [Select]
  1. (defun Rev_Up ( / DIM DIM1 OSM REV1 REV2 X)
  2.   (defun _addlayer (name color ltype plot)
  3.     (cond ((not (tblsearch "layer" name))
  4.            (entmakex (list '(0 . "LAYER")
  5.                            '(100 . "AcDbSymbolTableRecord")
  6.                            '(100 . "AcDbLayerTableRecord")
  7.                            '(70 . 0)
  8.                            (cons 2 name)
  9.                            (cons 62 color)
  10.                            (cons 6
  11.                                  (cond ((tblobjname "ltype" ltype))
  12.                                        ("continuous")
  13.                                  )
  14.                            )
  15.                            (cons 290 plot)
  16.                            ;;1 = plottable 0 = not=plottable
  17.                      )
  18.            )
  19.           )
  20.           ((tblobjname "layer" name))
  21.     )
  22.   )

This should probably be this (cons 6.....)

Code - Auto/Visual Lisp: [Select]
  1. (defun Rev_Up ( / DIM DIM1 OSM REV1 REV2 X)
  2.   (defun _addlayer (name color ltype plot)
  3.     (cond ((not (tblsearch "layer" name))
  4.            (entmakex (list '(0 . "LAYER")
  5.                            '(100 . "AcDbSymbolTableRecord")
  6.                            '(100 . "AcDbLayerTableRecord")
  7.                            '(70 . 0)
  8.                            (cons 2 name)
  9.                            (cons 62 color)
  10.                            (cons 6
  11.                                  (cond ((tblobjname "ltype" ltype) ltype)
  12.                                        ("continuous")
  13.                                  )
  14.                            )
  15.                            (cons 290 plot)
  16.                            ;;1 = plottable 0 = not=plottable
  17.                      )
  18.            )
  19.           )
  20.           ((tblobjname "layer" name))
  21.     )
  22.   )
  23.  

as (tblobjname "ltype" ltype) returns an entity if true

You are masking it by passing in "continous" instead of "continuous" in some of your calls
94
[..]

Pretty much! For example, I want the text in you video to be always at the centre of the circle when I rotate.




You want someone else to write such a function? If you can't develop such a function with the given examples, you might invest some time in the tooltips you can customize in AutoCAD. I think that is the easiest way to show object information without programming. And it will not polute your view on the drawing :-)




https://knowledge.autodesk.com/support/autocad-lt/learn-explore/caas/CloudHelp/cloudhelp/2018/ENU/AutoCAD-LT/files/GUID-BCC6FDB2-F4EA-4BE1-AC49-48EFE687DD2B-htm.html

Nope. I am NOT asking anyone to write any scripts for me. I simply wanna know whether it is possible to achieve this and how to make it work if so. The thing is I will write more information into the objects and then display them, the method you mention will not achieve this. So please forget the object information, it was just an example. What I really wanna do is create texts that like normal texts but always face the screen with a fixed size in a 3D model, simple as that.
95
AutoLISP (Vanilla / Visual) / Re: More dimscale please
« Last post by jlogan02 on January 06, 2020, 05:00:12 PM »
Getting back to this just now...I still haven't figure out why I'm getting... "too many arguments".
96
[..]

Pretty much! For example, I want the text in you video to be always at the centre of the circle when I rotate.




You want someone else to write such a function? If you can't develop such a function with the given examples, you might invest some time in the tooltips you can customize in AutoCAD. I think that is the easiest way to show object information without programming. And it will not polute your view on the drawing :-)




https://knowledge.autodesk.com/support/autocad-lt/learn-explore/caas/CloudHelp/cloudhelp/2018/ENU/AutoCAD-LT/files/GUID-BCC6FDB2-F4EA-4BE1-AC49-48EFE687DD2B-htm.html



97
CAD General / Re: Exist Machine Learning or Artifitial Intelligence for Autocad?
« Last post by huiz on January 06, 2020, 08:18:18 AM »
It sounds like Design Automation to me, what you want to do.


Autodesk is developing Dynamo for this. I assume it will come in vanilla AutoCAD as well some day. It is a great start to use for design Automation. Also Autodesk is working on generative design software (Project Refinery).


Machine Learning is a bridge too far for Autodesk, so I wonder if you will succeed  :tongue2:



98
CAD General / Re: Exist Machine Learning or Artifitial Intelligence for Autocad?
« Last post by jtm2018hyo on January 05, 2020, 11:37:04 PM »
The simplest is about writing macro's Autocad "Macro" is well useless it's just not editable. Look at excel record a macro you get some useful code, there are write lisp from keystrokes recorders you pay for them.

So for me, AI writes the code to repeat something I created.

how BIGAL mentioned, some should be a combination of macro and lisp, if they (Autodesk) do not have problems, then we have the light green to start the project.

I already have a lot of lisp, but 0 macros, anyway I think I already have what is necessary to start.

but I still did not find anything related to AutoCAD merged with Machine learning, at least I already have an idea thanks ta your post guys.

PD: any advance I will report you, maybe we can build this project guys, even just for hobby.
99
Quote

You are probably right. So now I am not gonna make the size to be fixed. So the only difference between the text I want with the normal texts is to make them always facing the screen in a 3D model. Is this possible? I have seen other software do it this way. It makes it easier and nicer to view the text in 3D models.
Something like this?

https://knowledge.autodesk.com/sites/default/files/my_first_autocad_plugin_promo_video_924x694_0.mp4

Pretty much! For example, I want the text in you video to be always at the centre of the circle when I rotate.
100
What do you want to show if it is not properties?
It can be part of the properties like layer, or it can be any other text that I want it to be, for example, I might assign additional properties to the lines.
Pages: 1 ... 8 9 [10]